/*
Theme Name:    Talk to Builder
Description:   Child Theme for Beaver Builder
Version:       1.0.0
Author:        Talk to
Author URI:    https://www.talkto.no/
Template:      bb-theme
License:       GNU General Public License v2 or later
License URI:   http://www.gnu.org/licenses/gpl-2.0.html
*/

/** site specific styles **/

.ui-selectmenu-button.ui-button {
	font-family: "Open Sans", sans-serif;
	padding: 8px 5px;
	background: #fff;
	border: 0;
	color: #0C2340;
	font-size: 14px;
	line-height: 18px;
	
	-webkit-border-radius: 0;
	-moz-border-radius: 0;
	-o-border-radius: 0;
	border-radius: 0;
}

.ui-selectmenu-button .ui-selectmenu-text {
	color: #0C2340 !important;
}

.ui-selectmenu-button.ui-button:hover {
	background: #fff;
	color: #0C2340;
}

.ui-selectmenu-button.ui-button:active {
	background: #fff;
	color: #0C2340;
}

.ui-menu {
	background: #fff;
	border: 0 !important;
	margin-top: -1px;
	font-family: "Open Sans", sans-serif;
	
	-webkit-border-radius: 0 !important;
	-moz-border-radius: 0 !important;
	-o-border-radius: 0 !important;
	border-radius: 0 !important;
}

.ui-menu li > div {
	padding: 5px 10px !important;
}

.ui-menu li > div {
	padding: 5px 10px !important;
}

.ui-button .ui-icon,
.ui-button:hover .ui-icon,
.ui-button:focus .ui-icon,
.ui-button:active .ui-icon {
	background-image: url("/wp-content/plugins/talkto/images/ui-icons_444444_256x240.png");
}

.ui-state-active, .ui-widget-content .ui-state-active, .ui-widget-header .ui-state-active, a.ui-button:active, .ui-button:active, .ui-button.ui-state-active:hover {
	background-color: #C0B283;
	border: 0;
	color: #fff;
}

a.tt-button {
	background: #0C2340;
	color: #fff !important;
	
	text-decoration: none !important;
	
	padding: 10px 20px;
	margin: 20px 0;
	
	display: inline-block;
}

a.tt-button:hover {
	color: #fff;
	text-decoration: none;
}

a.fl-icon-text-link {
	display: inline-block;
}

button.owl-dot:focus-visible {
	outline: 2px solid #000;
	outline-offset: 2px !important;
}

/** form **/
.tt-contact-form label {
	margin-bottom: 0px !important;
}

.tt-contact-form .elements > div.section {
	padding-top: 0;
	vertical-align: top;
	margin-bottom: 0px;
	position: relative;
}

.tt-contact-form .elements > div.section div.section {
	margin-bottom: 20px;
}

.tt-contact-form .elements > div.section.no-margin {
	margin-bottom: 0px;
}

.tt-contact-form .elements > div.section.margin-top {
	margin-top: 20px;
}
.tt-contact-form .elements > div.section .content {
	padding: 20px;
}

.tt-contact-form .wpcf7-form-control-wrap {
	padding-top: 0;
}

.tt-contact-form input[type="text"],
.tt-contact-form input[type="tel"],
.tt-contact-form input[type="email"],
.tt-contact-form textarea {
	background: #fff;
	color: #0C2340;
	
	padding: 8px 5px;
	
	font-size: 14px;
	line-height: 18px;
	
	border: 0;
	
	z-index: 10;
	
	-webkit-border-radius: 0;
	-moz-border-radius: 0;
	-o-border-radius: 0;
	border-radius: 0;
	
	position: relative;
}

.tt-contact-form span.ui-selectmenu-button.invalid,
.tt-contact-form input[type="text"].invalid,
.tt-contact-form input[type="tel"].invalid,
.tt-contact-form input[type="email"].invalid {
	border-bottom-color: #ffcc00 !important;
}

.tt-contact-form span.ui-selectmenu-button.valid,
.tt-contact-form input[type="text"].valid,
.tt-contact-form input[type="tel"].valid,
.tt-contact-form input[type="email"].valid {
	border-bottom-color: #fff;
}

.tt-contact-form p.tt-msg.error {
	/*display: none !important;*/
	font-size: 14px;
	color: #ffcc00 !important;
	padding: 5px 0;
	margin-bottom: 0;
	text-align: left;
}

.tt-contact-form .tt-errors {
	border: 2px solid #ffcc00;
	color: #000;
    padding: 20px;
	margin-left: 20px;
	font-size: 14px;
	line-height: 14px;
	margin-top: 20px;
	margin-bottom: 0px;
}

.tt-contact-form .tt-errors p {
    padding: 0;
	margin-bottom: 0px;
    color: #fff !important;
}

.wpcf7 .wpcf7-spinner {
	margin: 10px 0 0;
}


.tt-contact-form ::-webkit-input-placeholder { /* WebKit browsers */
    color: #444 !important;
    opacity: 1;
}
.tt-contact-form :-moz-placeholder { /* Mozilla Firefox 4 to 18 */
    color: #444 !important;
    opacity: 1;
}
.tt-contact-form ::-moz-placeholder { /* Mozilla Firefox 19+ */
    color: #444 !important;
    opacity: 1;
}
.tt-contact-form :-ms-input-placeholder { /* Internet Explorer 10+ */
    color: #444 !important;
    opacity: 1;
}

.tt-contact-form .wpcf7-not-valid-tip::before,
.tt-contact-form p.tt-msg::before {
	content: '';
	display: inline-block;
	width: 8px;
	height: 8px;
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	-o-border-radius: 4px;
	border-radius: 4px;
	background-color: #FFCC01;
	margin-right: 5px;
}

.tt-contact-form .wpcf7-not-valid-tip {
	color: #FFCC01;
	font-size: 14px;
	margin-top: 5px;
}

.tt-contact-form input[type="submit"] {
	border: 0px;
	padding: 20px 30px;
}

.wpcf7-response-output {
	padding: 15px 30px !important;
	background-color: transparent !important;
	font-size: 14px;
	color: #fff !important;
	-webkit-border-radius: 0;
	-moz-border-radius: 0;
	-o-border-radius: 0;
	border-radius: 0;
	padding: 20px !important;
	margin: 20px 0px 0px 20px !important;
}

.wpcf7 form.sent .wpcf7-response-output {
	border-color: #0ca500 !important;
}

.tt-contact-form .tt-terms {
	padding-top: 0px;
	font-size: 14px;
	line-height: 18px;
}

.tt-contact-form .tt-terms,
.tt-contact-form .tt-terms .wpcf7-list-item-label,
.tt-contact-form .tt-terms a {
	color: #fff;
	font-size: 13px;
	line-height: 16px;
	font-weight: normal;
}

.tt-contact-form .tt-terms .terms {
	margin-top: 15px;
	margin-bottom: 15px;
}

.tt-contact-form .tt-terms .terms,
.tt-contact-form .tt-terms .terms a {
	font-size: 14px;
}

.tt-contact-form input[type="submit"],
.tt-contact-form input[type="submit"]:hover {
	background-color: #C0B283;
	border: 0;
	color: #0C2340;
	font-weight: bold;
    font-size: 14px;
    line-height: 14px;
    padding: 20px 0px;
	
	text-align: center;
	
	width: 100%;
	
	text-transform: uppercase;
    
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	-o-box-sizing: border-box;
	box-sizing: border-box;
	
	-webkit-border-radius: 0;
	-moz-border-radius: 0;
	-o-border-radius: 0;
	border-radius: 0;
}

.tt-contact-form input:-webkit-autofill,
.tt-contact-form input:-webkit-autofill:hover, 
.tt-contact-form input:-webkit-autofill:focus,
.tt-contact-form textarea:-webkit-autofill,
.tt-contact-form textarea:-webkit-autofill:hover,
.tt-contact-form textarea:-webkit-autofill:focus,
.tt-contact-form select:-webkit-autofill,
.tt-contact-form select:-webkit-autofill:hover,
.tt-contact-form select:-webkit-autofill:focus {
  border-color: #fff;
  background-color: transparent;
  -webkit-text-fill-color: #000;
  transition: background-color 5000s ease-in-out 0s;
}

.tt-contact-form input:focus-visible,
.tt-contact-form input:focus-visible + .wpcf7-list-item-label {
	outline: 2px solid #fff !important;
}

.tt-contact-form .tt-send p {
	text-align: center;
}

.talkto-gdpr-form.not-ready::after,
.talkto-gdpr-script.not-ready::after {
	border-left: 3px solid #fff;
}

.talkto-gdpr-form.not-ready::before,
.talkto-gdpr-script.not-ready::before {
	color: #fff;
}

.wpcf7-spinner {
	background-color: #C0B283 !important;
	opacity: 1 !important;
}

.wpcf7-spinner::before {
	background-color: #ffffff !important;
}

@media screen and ( max-width: 768px ) {
	.tt-contact-form input[type="submit"] {
		margin-top: 20px;
	}
}